<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Settings (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Settings (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/initialization/Settings.html" target="_top">Frames</a></li>
<li><a href="Settings.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.initialization</div>
<h2 title="Interface Settings" class="title">Interface Settings</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins">PluginAware</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Settings</span>
extends <a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins">PluginAware</a></pre>
<div class="block"><p>Declares the configuration required to instantiate and configure the hierarchy of <a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api"><code>Project</code></a> instances which are to participate in a build.</p>

 <p>There is a one-to-one correspondence between a <code>Settings</code> instance and a <code><a href="../../../../org/gradle/api/initialization/Settings.html#DEFAULT_SETTINGS_FILE">"settings.gradle"</a></code> settings file. Before Gradle assembles the projects for a build, it creates a
 <code>Settings</code> instance and executes the settings file against it.</p>

 <h3>Assembling a Multi-Project Build</h3>

 <p>One of the purposes of the <code>Settings</code> object is to allow you to declare the projects which are to be
 included in the build. You add projects to the build using the <a href="../../../../org/gradle/api/initialization/Settings.html#include(java.lang.String[])"><code>include(String[])</code></a> method.  There is always a
 root project included in a build.  It is added automatically when the <code>Settings</code> object is created.  The
 root project's name defaults to the name of the directory containing the settings file. The root project's project
 directory defaults to the directory containing the settings file.</p>

 <p>When a project is included in the build, a <a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization"><code>ProjectDescriptor</code></a> is created. You can use this descriptor to
 change the default values for several properties of the project.</p>

 <h3>Using Settings in a Settings File</h3>

 <h4>Dynamic Properties</h4>

 <p>In addition to the properties of this interface, the <code>Settings</code> object makes some additional read-only
 properties available to the settings script. This includes properties from the following sources:</p>

 <ul>

 <li>Defined in the <a href="../../../../org/gradle/api/Project.html#GRADLE_PROPERTIES">"gradle.properties"</a> file located in the settings directory of the
 build.</li>

 <li>Defined the <a href="../../../../org/gradle/api/Project.html#GRADLE_PROPERTIES">"gradle.properties"</a> file located in the user's <code>.gradle</code>
 directory.</li>

 <li>Provided on the command-line using the -P option.</li>

 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#DEFAULT_SETTINGS_FILE">DEFAULT_SETTINGS_FILE</a></strong></code>
<div class="block">The default name for the settings file.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#buildCache(org.gradle.api.Action)">buildCache</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html" title="interface in org.gradle.caching.configuration">BuildCacheConfiguration</a>&gt;&nbsp;action)</code>
<div class="block">Configures build cache.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#findProject(java.io.File)">findProject</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</code>
<div class="block">Returns the project with the given project directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#findProject(java.lang.String)">findProject</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Returns the project with the given path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html" title="interface in org.gradle.caching.configuration">BuildCacheConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getBuildCache()">getBuildCache</a></strong>()</code>
<div class="block">Returns the build cache configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getGradle()">getGradle</a></strong>()</code>
<div class="block">Returns the <a href="../../../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation"><code>Gradle</code></a> instance for the current build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugin/management/PluginManagementSpec.html" title="interface in org.gradle.plugin.management">PluginManagementSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getPluginManagement()">getPluginManagement</a></strong>()</code>
<div class="block">Returns the plugin management configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getRootDir()">getRootDir</a></strong>()</code>
<div class="block">Returns the root directory of the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getRootProject()">getRootProject</a></strong>()</code>
<div class="block">Returns the root project of the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/Settings.html" title="interface in org.gradle.api.initialization">Settings</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getSettings()">getSettings</a></strong>()</code>
<div class="block">Returns this settings object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getSettingsDir()">getSettingsDir</a></strong>()</code>
<div class="block">Returns the settings directory of the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#getStartParameter()">getStartParameter</a></strong>()</code>
<div class="block">Returns the set of parameters used to invoke this instance of Gradle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#include(java.lang.String[])">include</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;projectPaths)</code>
<div class="block">Adds the given projects to the build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#includeBuild(java.lang.Object)">includeBuild</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;rootProject)</code>
<div class="block">Includes a build at the specified path to the composite build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#includeBuild(java.lang.Object,%20org.gradle.api.Action)">includeBuild</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;rootProject,
            <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/initialization/ConfigurableIncludedBuild.html" title="interface in org.gradle.api.initialization">ConfigurableIncludedBuild</a>&gt;&nbsp;configuration)</code>
<div class="block">Includes a build at the specified path to the composite build, with the supplied configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#includeFlat(java.lang.String[])">includeFlat</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;projectNames)</code>
<div class="block">Adds the given projects to the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#pluginManagement(org.gradle.api.Action)">pluginManagement</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/management/PluginManagementSpec.html" title="interface in org.gradle.plugin.management">PluginManagementSpec</a>&gt;&nbsp;pluginManagementSpec)</code>
<div class="block">Configures plugin management.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#project(java.io.File)">project</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</code>
<div class="block">Returns the project with the given project directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/initialization/Settings.html#project(java.lang.String)">project</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Returns the project with the given path.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.PluginAware">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins">PluginAware</a></h3>
<code><a href="../../../../org/gradle/api/plugins/PluginAware.html#apply(org.gradle.api.Action)">apply</a>, <a href="../../../../org/gradle/api/plugins/PluginAware.html#apply(groovy.lang.Closure)">apply</a>, <a href="../../../../org/gradle/api/plugins/PluginAware.html#apply(java.util.Map)">apply</a>, <a href="../../../../org/gradle/api/plugins/PluginAware.html#getPluginManager()">getPluginManager</a>, <a href="../../../../org/gradle/api/plugins/PluginAware.html#getPlugins()">getPlugins</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_SETTINGS_FILE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_SETTINGS_FILE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_SETTINGS_FILE</pre>
<div class="block"><p>The default name for the settings file.</p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.initialization.Settings.DEFAULT_SETTINGS_FILE">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="include(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>include</h4>
<pre>void&nbsp;include(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;projectPaths)</pre>
<div class="block"><p>Adds the given projects to the build. Each path in the supplied list is treated as the path of a project to
 add to the build. Note that these path are not file paths, but instead specify the location of the new project in
 the project hierarchy. As such, the supplied paths must use the ':' character as separator.</p>

 <p>The last element of the supplied path is used as the project name. The supplied path is converted to a project
 directory relative to the root project directory.</p>

 <p>As an example, the path <code>a:b</code> adds a project with path <code>:a:b</code>, name <code>b</code> and project
 directory <code>$rootDir/a/b</code>.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projectPaths</code> - the projects to add.</dd></dl>
</li>
</ul>
<a name="includeFlat(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeFlat</h4>
<pre>void&nbsp;includeFlat(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;projectNames)</pre>
<div class="block"><p>Adds the given projects to the build. Each name in the supplied list is treated as the name of a project to
 add to the build.</p>

 <p>The supplied name is converted to a project directory relative to the <em>parent</em> directory of the root
 project directory.</p>

 <p>As an example, the name <code>a</code> add a project with path <code>:a</code>, name <code>a</code> and project directory
 <code>$rootDir/../a</code>.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projectNames</code> - the projects to add.</dd></dl>
</li>
</ul>
<a name="getSettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSettings</h4>
<pre><a href="../../../../org/gradle/api/initialization/Settings.html" title="interface in org.gradle.api.initialization">Settings</a>&nbsp;getSettings()</pre>
<div class="block"><p>Returns this settings object.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>This settings object. Never returns null.</dd></dl>
</li>
</ul>
<a name="getSettingsDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSettingsDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getSettingsDir()</pre>
<div class="block"><p>Returns the settings directory of the build. The settings directory is the directory containing the settings
 file.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The settings directory. Never returns null.</dd></dl>
</li>
</ul>
<a name="getRootDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRootDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getRootDir()</pre>
<div class="block"><p>Returns the root directory of the build. The root directory is the project directory of the root project.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The root directory. Never returns null.</dd></dl>
</li>
</ul>
<a name="getRootProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRootProject</h4>
<pre><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a>&nbsp;getRootProject()</pre>
<div class="block"><p>Returns the root project of the build.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The root project. Never returns null.</dd></dl>
</li>
</ul>
<a name="project(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a>&nbsp;project(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)
                          throws <a href="../../../../org/gradle/api/UnknownProjectException.html" title="class in org.gradle.api">UnknownProjectException</a></pre>
<div class="block"><p>Returns the project with the given path.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The project with the given path. Never returns null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/UnknownProjectException.html" title="class in org.gradle.api">UnknownProjectException</a></code> - If no project with the given path exists.</dd></dl>
</li>
</ul>
<a name="findProject(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findProject</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a>&nbsp;findProject(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block"><p>Returns the project with the given path.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The path</dd>
<dt><span class="strong">Returns:</span></dt><dd>The project with the given path. Returns null if no such project exists.</dd></dl>
</li>
</ul>
<a name="project(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a>&nbsp;project(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)
                          throws <a href="../../../../org/gradle/api/UnknownProjectException.html" title="class in org.gradle.api">UnknownProjectException</a></pre>
<div class="block"><p>Returns the project with the given project directory.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projectDir</code> - The project directory.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The project with the given project directory. Never returns null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/UnknownProjectException.html" title="class in org.gradle.api">UnknownProjectException</a></code> - If no project with the given path exists.</dd></dl>
</li>
</ul>
<a name="findProject(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findProject</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization">ProjectDescriptor</a>&nbsp;findProject(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</pre>
<div class="block"><p>Returns the project with the given project directory.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projectDir</code> - The project directory.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The project with the given project directory. Returns null if no such project exists.</dd></dl>
</li>
</ul>
<a name="getStartParameter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStartParameter</h4>
<pre><a href="../../../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;getStartParameter()</pre>
<div class="block"><p>Returns the set of parameters used to invoke this instance of Gradle.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The parameters. Never returns null.</dd></dl>
</li>
</ul>
<a name="getGradle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradle</h4>
<pre><a href="../../../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;getGradle()</pre>
<div class="block">Returns the <a href="../../../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation"><code>Gradle</code></a> instance for the current build.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The Gradle instance. Never returns null.</dd></dl>
</li>
</ul>
<a name="includeBuild(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeBuild</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;includeBuild(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;rootProject)</pre>
<div class="block">Includes a build at the specified path to the composite build.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>rootProject</code> - The path to the root project directory for the build.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.1</dd></dl>
</li>
</ul>
<a name="includeBuild(java.lang.Object, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeBuild</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;includeBuild(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;rootProject,
                           <a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/initialization/ConfigurableIncludedBuild.html" title="interface in org.gradle.api.initialization">ConfigurableIncludedBuild</a>&gt;&nbsp;configuration)</pre>
<div class="block">Includes a build at the specified path to the composite build, with the supplied configuration.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>rootProject</code> - The path to the root project directory for the build.</dd><dd><code>configuration</code> - An action to configure the included build.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.1</dd></dl>
</li>
</ul>
<a name="getBuildCache()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildCache</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html" title="interface in org.gradle.caching.configuration">BuildCacheConfiguration</a>&nbsp;getBuildCache()</pre>
<div class="block">Returns the build cache configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="buildCache(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildCache</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;buildCache(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/caching/configuration/BuildCacheConfiguration.html" title="interface in org.gradle.caching.configuration">BuildCacheConfiguration</a>&gt;&nbsp;action)</pre>
<div class="block">Configures build cache.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="pluginManagement(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pluginManagement</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;pluginManagement(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/management/PluginManagementSpec.html" title="interface in org.gradle.plugin.management">PluginManagementSpec</a>&gt;&nbsp;pluginManagementSpec)</pre>
<div class="block">Configures plugin management.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="getPluginManagement()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPluginManagement</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/plugin/management/PluginManagementSpec.html" title="interface in org.gradle.plugin.management">PluginManagementSpec</a>&nbsp;getPluginManagement()</pre>
<div class="block">Returns the plugin management configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/initialization/ProjectDescriptor.html" title="interface in org.gradle.api.initialization"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/initialization/Settings.html" target="_top">Frames</a></li>
<li><a href="Settings.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
